## 	**HYCO扫码配对使用文档**

​																				 [HYCO技术团队]()

[TOC]

#### **前言**

> 每一个文档的出现，意味着前行的路有一盏明灯指引着我们。《HYCO扫码配对使用文档》能够帮助你更好的了解并开发程序对接我司的穿戴式设备。
>
> HYCO专注于穿戴式产品的研发、生产、销售和服务，并提供整体应用解决方案。[Ring Scanner]()（指环式扫描器）系列产品均具有小身材、大能量、大智慧的特点。
>
> - 小身材--体积小巧、轻便；
>
> - l 大能量--可持续工作时间24小时（每3秒扫描一次），充满电后连续扫描次数30000+次 ，稳定可靠；
>
> - l 大智慧--可连接蓝牙4.0手机、平板电脑、工控设备等，更可以根据用户的实际操作定制出光方式，带给用户最大的方便快捷。
>
>   HYCO第三方开发文档》是HYCO集体智慧结晶和经验总结，为DHL、顺风、百事、沃尔玛、圆通、京东等客户长期开发迭代和优化经验系统地整理成册，便于第三方开发者更加高效、高质量地对接HYCO SDK，呈现给用户体验好、性能优、稳定性佳、安全性高的产品。
>
>   官方网址:[http://www.hycoiot.com](http://www.hycoiot.com)
>
>   微信公众号：hyco-4006308608
>
>   咨询热线：4006-308-608 丨15000096211
>
>   微信：浩创指环王
>
>   官方微博:浩创-节省人力
>
>   地址:上海市青浦区华徐公路999号E通世界北区A座3楼302


#### **引入aar**
将我司提供的aar文件放到工程目录的libs文件夹下

build.gradle文件添加人引入代码，如下：

	implementation files('libs\\hyco_ble-release.aar')
	//使用sdk界面就引用，不使用可以不引用
	implementation files('libs\\hyco_ble_ui-release.aar')


#### **傻瓜式连接**

[^单设备连接]: 在页面直接跳转SingleBleActivity，如下：

```java
startActivity(new Intent(MainActivity.this, ScanBleActivity.class));
```

[^多设备连接]: 在页面直接跳转ListBLeActivity，如下：

```java
startActivity(new Intent(MainActivity.this, ListBleActivity.class));
```

#### **自定义集成**

1.    `初始化`

首先创建一个BleProxy对象，如下：

	BleProxy mProxy = ProxyManage.getProxy(this);

2. `搜索周围BLE设备`

		mProxy.startSearch(new BleListChangeCallback() {
            @Override
            public void onBtListChanged(List<BleDevice> btList) {
                //获取到搜索列表

            }
        });  

3. `连接`

    	mProxy.connectDevice(device, new BleConnectCallback() {
                                @Override
                                public void onSuccess(final BleDevice device) {
                                    Toast.makeText(ListBleActivity.this, "连接成功", Toast.LENGTH_LONG).show();
                                  
                                }

                                @Override
                                public void onFailed(String msg) {
                                    Toast.makeText(ListBleActivity.this, msg, Toast.LENGTH_LONG).show();
                                    
                                }

                                @Override
                                public void onDisconnected(BleDevice device) {
                                    Toast.makeText(ListBleActivity.this, "断开连接", Toast.LENGTH_LONG).show();
                                    
                                }
                            });

4. `断开连接`

    	mProxy.disconnectDevice(device, new BleConnectCallback() {
                                @Override
                                public void onSuccess(final BleDevice device) {
                                    
                                  
                                }

                                @Override
                                public void onFailed(String msg) {
                                   
                                    
                                }

                                @Override
                                public void onDisconnected(BleDevice device) {

                                    Toast.makeText(ListBleActivity.this, "断开连接", Toast.LENGTH_LONG).show();
                                    
                                }
                            });


#### **获取扫描数据**

- `广播获取`

  [^]: 您可以在程序中注册广播，并从广播中接收数据。（注意：android 8.0之后，静态广播的注册您将不会受到广播通知，所以建议您在代码中动态注册以保证广播数据的正常接收）
	
	注册广播接收器：

    private void registerReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction(BleActionExtra.Barcode.HYCO_ACTION_BARCODE);
        registerReceiver(mBroadcastReceiver, filter);
    }

	BroadcastReceiver mBroadcastReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {
            L.e(intent.getAction());
            switch (intent.getAction()) {
                case BleActionExtra.Barcode.HYCO_ACTION_BARCODE:
                    String code = intent.getStringExtra(BleActionExtra.Barcode.HYCO_VALUE_BARCODE);//获取的数据
                    String mac = intent.getStringExtra(BleActionExtra.Barcode.HYCO_VALUE_SENDER_MAC);//获取的数据
                    String sn = intent.getStringExtra(BleActionExtra.Barcode.HYCO_VALUE_SENDER_SN);//获取的数据
              
                    break;
            }
        }
    };

  